Apis::V4::People API

post new person with invalid includes

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also pass this into the Authorization header)
data The payload data that will be serialized into the new person
included List of new models to be created as related to new person.
Note on contact assignments: to specify what direction the assignment goes, the client must use either the assigned_to_id or person_id field. The omitted field will be set as the newly-created person's id. But they both will use the contact_assignment type.
fields A comma separated list of fields to return in the response for the given type. A resource object's attributes and its relationships are collectively called its 'fields'. Clients may restrict the set of fields in order to improve performance. Multiple types can be specified. If no fields param is specified then by default all fields are returned. Example

Request

Headers

Version: HTTP/1.0
Accept: application/vnd.api+json
Content-Type: application/vnd.api+json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoyMTEsImV4cCI6MTc5NDU0MDIyNywiaWF0IjoxNzk0NTQwMDQ3fQ.BfJnkFUliP3rDHy8ELMPFEV5QOMinHr1BybhtpP46eA
Host: example.org
Cookie: 

Route

POST /apis/v4/people

Body

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoyMTEsImV4cCI6MTc5NDcxMjg0NywiaWF0IjoxNzk0NTQwMDQ3fQ.mGQ7Pn61ES8D2VUi5kSGRQ1Qhqrp1omOLzl4w7wJPyY
Access-Control-Expose-Headers: X-MH-Session
Cache-Control: no-cache
X-Request-Id: da4b2543-b4b9-4852-8605-4b7935acd290
X-Runtime: 0.040708
Content-Length: 92

Status

422

Body